org.apache.catalina.core

## Class ApplicationFilterFactory

- java.lang.Object
- - org.apache.catalina.core.ApplicationFilterFactory

-     public final class ApplicationFilterFactory
      extends Object

  Factory for the creation and caching of Filters and creation of Filter Chains.
  Author:
    Greg Murray, Remy Maucherat

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DISPATCHER_REQUEST_PATH_ATTR` Deprecated. Use `Globals.DISPATCHER_REQUEST_PATH_ATTR`
    `static String` | `DISPATCHER_TYPE_ATTR` Deprecated. Use `Globals.DISPATCHER_TYPE_ATTR`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.catalina.core.ApplicationFilterChain` | `createFilterChain(ServletRequest request, Wrapper wrapper, Servlet servlet)` Construct and return a FilterChain implementation that will wrap the execution of the specified servlet instance.
    `static ApplicationFilterFactory` | `getInstance()` Return the factory instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DISPATCHER_TYPE_ATTR

          @Deprecated
          public static final String DISPATCHER_TYPE_ATTR

      Deprecated. Use `Globals.DISPATCHER_TYPE_ATTR`
      See Also:
        Constant Field Values

    - #### DISPATCHER_REQUEST_PATH_ATTR

          @Deprecated
          public static final String DISPATCHER_REQUEST_PATH_ATTR

      Deprecated. Use `Globals.DISPATCHER_REQUEST_PATH_ATTR`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getInstance

          public static ApplicationFilterFactory getInstance()

      Return the factory instance.

    - #### createFilterChain

          public org.apache.catalina.core.ApplicationFilterChain createFilterChain(ServletRequest request,
                                                                          Wrapper wrapper,
                                                                          Servlet servlet)

      Construct and return a FilterChain implementation that will wrap the execution of the specified servlet instance. If we should not execute a filter chain at all, return `null`.
      Parameters:
        `request` - The servlet request we are processing
        `servlet` - The servlet instance to be wrapped

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.